restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

LeaveFeedback |WebMethod|

Leaves feedback for a transaction. If impersonated user is seller, leaves feedback for the buyer, otherwise leaves feedback for the seller.

Parameters
  1. transactionId, The transaction to leave feedback for
  2. comment, A freetext comment (80 characters)
  3. type, Type of feedback to leave: Positive or Negative
Returns

True if feedback was inserted, false if feedback can not be left for several reasons: - Transaction does not exist. - Feedback has already been left for the transaction by the requesting user - Transaction has been deleted by Tradera.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/LeaveFeedback"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <LeaveFeedback xmlns="http://api.tradera.com">
      <transactionId>transactionId</transactionId>
      <comment>comment</comment>
      <type>type</type>
    </LeaveFeedback>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <LeaveFeedbackResponse xmlns="http://api.tradera.com">
      <LeaveFeedbackResult>True if feedback was inserted, false if feedback can not be left for several reasons:
             - Transaction does not exist.
             - Feedback has already been left for the transaction by the requesting user
             - Transaction has been deleted by Tradera.</LeaveFeedbackResult>
    </LeaveFeedbackResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <LeaveFeedback xmlns="http://api.tradera.com">
      <transactionId>transactionId</transactionId>
      <comment>comment</comment>
      <type>type</type>
    </LeaveFeedback>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <LeaveFeedbackResponse xmlns="http://api.tradera.com">
      <LeaveFeedbackResult>True if feedback was inserted, false if feedback can not be left for several reasons:
             - Transaction does not exist.
             - Feedback has already been left for the transaction by the requesting user
             - Transaction has been deleted by Tradera.</LeaveFeedbackResult>
    </LeaveFeedbackResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/LeaveFeedback?appId=string&appKey=string&transactionId=string&comment=string&type=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<LeaveFeedbackResult xmlns="http://api.tradera.com">True if feedback was inserted, false if feedback can not be left for several reasons:
             - Transaction does not exist.
             - Feedback has already been left for the transaction by the requesting user
             - Transaction has been deleted by Tradera.</LeaveFeedbackResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/LeaveFeedback HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&transactionId=string&comment=string&type=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<LeaveFeedbackResult xmlns="http://api.tradera.com">True if feedback was inserted, false if feedback can not be left for several reasons:
             - Transaction does not exist.
             - Feedback has already been left for the transaction by the requesting user
             - Transaction has been deleted by Tradera.</LeaveFeedbackResult>